关于perl-doc的问题

Python/PHP/Perl 开发与设计
回复
zuiqiangzhe
帖子: 125
注册时间: 2012-04-06 15:55
送出感谢: 2 次
接收感谢: 0

关于perl-doc的问题

#1

帖子 zuiqiangzhe » 2013-03-23 12:04

看书上说用perldoc File::Basename可以看到相应模块,但是在终端输入后发现:
You need to install the perl-doc package to use this program.
然后 apt-get install perl-doc时发现(在root下):
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package perl-doc is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
perl

怎么办啊?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: 关于perl-doc的问题

#2

帖子 eexpress » 2013-03-24 16:35

i perl-doc - Perl documentation

你刷新下源列表,就是sudo aptitude update,再安装试试。

man File::Basename 和 perldoc File::Basename 差不多的。
如果你需要查找函数,才要安装Perldoc。
● 鸣学
回复

回到 “Python/Php/Perl”